summaryrefslogtreecommitdiffstats
path: root/ncurses-5.3/mkinstalldirs
diff options
context:
space:
mode:
Diffstat (limited to 'ncurses-5.3/mkinstalldirs')
-rwxr-xr-xncurses-5.3/mkinstalldirs38
1 files changed, 38 insertions, 0 deletions
diff --git a/ncurses-5.3/mkinstalldirs b/ncurses-5.3/mkinstalldirs
new file mode 100755
index 0000000..ffe7494
--- /dev/null
+++ b/ncurses-5.3/mkinstalldirs
@@ -0,0 +1,38 @@
+#! /bin/sh
+# mkinstalldirs --- make directory hierarchy
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>
+# Created: 1993-05-16
+# Last modified: 1994-03-25
+# Public domain
+#
+
+errstatus=0
+umask 022
+
+for file in ${1+"$@"} ; do
+ set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
+ shift
+
+ pathcomp=
+ for d in ${1+"$@"} ; do
+ pathcomp="$pathcomp$d"
+ case "$pathcomp" in
+ -* ) pathcomp=./$pathcomp ;;
+ esac
+
+ if test ! -d "$pathcomp"; then
+ echo "mkdir $pathcomp" 1>&2
+ case "$pathcomp" in
+ [abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]: )
+ ;; # DOSISH systems
+ * ) mkdir "$pathcomp" || errstatus=$? ;;
+ esac
+ fi
+
+ pathcomp="$pathcomp/"
+ done
+done
+
+exit $errstatus
+
+# mkinstalldirs ends here